openjpa-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Michael Dick <michael.d.d...@gmail.com>
Subject Re: Issue compiling OpenJPA source using Maven 3.0 (JDK 1.5)
Date Wed, 10 Nov 2010 15:23:32 GMT
Looks like it's trunk (earlier versions use the compiler plugin at version
2.3.1, not 2.3.2), so you'll need jdk 6.

FWIW I just tried mvn clean compile with Maven 3.0, Sun JDK 6 and it
completed with no errors.

-mike

On Wed, Nov 10, 2010 at 7:53 AM, Kevin Sutter <kwsutter@gmail.com> wrote:

> Hi,
> What version of OpenJPA are you attempting to build?  The mainline trunk
> build requires Java 6.  I know that Donald has been doing some
> experimentation with Maven 3, but I'm not positive if it's ready yet.  The
> current build dependencies are documented on this page:
>
> http://openjpa.apache.org/build-and-runtime-dependencies.html
>
> Kevin
>
> On Wed, Nov 10, 2010 at 7:09 AM, Sreelatha S <sreelathae@yahoo.com> wrote:
>
> >
> > Hello,
> >
> > I am attempting to compile the source for the OpenJPA using Maven version
> >
> > Apache Maven 3.0 (r1004208; 2010-10-04 17:20:56+0530)
> > Java version: 1.5.0
> > Java home: C:\install-location\WebSphere\AppServer\java\jre
> > Default locale: en_US, platform encoding: Cp1252
> > OS name: "windows xp" version: "5.1 build 2600 service pack 3" arch:
> "x86"
> > Famil
> > y: "dos"
> >
> >
> > And I constant get the following error
> > [ERROR] -> [Help 1]
> > org.apache.maven.lifecycle.LifecycleExecutionException: Failed to execute
> > goal o
> > rg.apache.maven.plugins:maven-compiler-plugin:2.3.2:compile
> > (default-compile) on
> >  project openjpa-lib: Compilation failure
> > Failure executing javac, but could not parse the error:
> > javac: invalid flag: -s
> > Usage: javac <options> <source files>
> >
> > Can some one tell me how to correct this. Thanks.
> >
> >
> >
> >
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message